Bug 815560 - long long scroll list is useless
long long scroll list is useless
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gtk2 (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Benjamin Otte
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 16:59 EDT by Matěj Cepl
Modified: 2016-01-05 02:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-05 02:54:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
first screencast of the issue (list jumps back) (837.99 KB, video/webm)
2012-04-23 16:59 EDT, Matěj Cepl
no flags Details
second screencast (no scroll wheel) (1.01 MB, video/webm)
2012-04-23 17:01 EDT, Matěj Cepl
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 674653 None None None Never

  None (edit)
Description Matěj Cepl 2012-04-23 16:59:08 EDT
Created attachment 579692 [details]
first screencast of the issue (list jumps back)

Description of problem:

The first attached screencast shows how scrolling with the down-arrow-button on the bottom of the list doesn't work. Whenever I scroll with it under the currently seen area and leave the arrow button, list jumps back to the original position.

The second screencast shows how using scroll-wheel doesn't work either. The list just doesn't scroll.

The only way how to get to the bottom of the list is with keyboard.

Version-Release number of selected component (if applicable):
gtk2-2.24.10-1.x86_64
gtk3-3.3.20-1.x86_64
gnome-shell-3.4.0-2.x86_64
pygtk2-2.24.0-1.1.x86_64

How reproducible:
100%

Steps to Reproduce:
1.open extremely long scroll-list (longer than what fits on the screen)
2.try to scroll in it with scroll-wheel or via down-arrow button
3.
  
Actual results:
see above

Expected results:
both methods should allow me to select items in the list without retreating to keyboard

Additional info:
Filed already upstream as https://bugzilla.gnome.org/show_bug.cgi?id=674653
Comment 1 Matěj Cepl 2012-04-23 17:01:09 EDT
Created attachment 579693 [details]
second screencast (no scroll wheel)
Comment 4 Matthias Clasen 2013-01-28 14:37:58 EST
Works fine in brief testing here, with current GTK+ 3 and long menus.
Comment 6 Matěj Cepl 2014-06-16 15:20:35 EDT
Seems like fixed in gtk2-2.24.22-5.el7.x86_64

Note You need to log in before you can comment on or make changes to this bug.